質問箱/3528

カテゴリ
サマリインライン改行が急に出来なくなった
バージョン1.4.5_1
投稿者
状態完了
投稿日2006-10-31 (火) 10:56:01

質問

タイトルのとおり急にインライン改行&br;が出来なくなりました。
一応、検索してみたところ質問箱/3313が該当するかな?と思って試してみましたが、効果ありませんでした。

この現象が出始めた辺りでやった事と言えば、ページ下部のリンクが不要なのでdefault.ini.phpを変更した事くらいです。
なので、もしかしたらと思い、オリジナルをアップしてみましたが、変わりませんでした。
他に何か原因として考えられませんでしょうか?

回答

  • 「アップしたオリジナル」とはPukiWiki1.4.5_1付属のオリジナル(もしくは現象発生前のバックアップ)で本当に間違いありませんか? -- 2006-10-31 (火) 13:12:16
  • 同じサーバ上においてあテスト用のものから持ってきています。こちらでは、テスト書き込みで問題なくブロック改行が反映されています。 -- 2006-10-31 (火) 14:31:02
  • くどいようですが、そのテスト用の環境もPukiWiki1.4.5_1であることは間違いないでしょうか*1?念のためdefault.ini.phpのバージョン(5行目あたりの「// $Id:~」で始まる行)と、$line_rules変数の内容を教えてください。また、テスト環境のpluginディレクトリにbr.inc.phpが無いことを確認してください。
    それとこのdefault.inc.phpを試してみてください。
    ちなみに&br;は、1.4.5_1以前ではユーザ定義ルールとして$line_rules変数に「'&br;'~」として定義されていますが、1.4.6以降ではプラグイン化されています。 -- 2006-10-31 (火) 15:38:12
  • 当方のサイトでは、1.4.5_1しかありませんので間違いないと思います。(1.4.7が出てるにも関わらず。)
    ただ、どうもオリジナルをアップしたつもりで慌てて間違えていたようです。
    提示いただいたものとテスト環境と実機環境のものを比較したところ、『$line_rules変数に「'&br;'~」』の行が実機環境のみ欠けていました。その行を追加してみたところ、無事に復活しました。お恥ずかしい限りですが、これにて完了とさせていただきます。ご教示ありがとうございました。 -- 2006-11-01 (水) 11:49:35

*1 テスト環境なんだから同じバージョンに決まってますが、念のため。

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2012-11-06 (火) 18:54:02
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u2. HTML convert time: 0.218 sec.

OSDN